# Fire Emblem Engage 2.0.0
# BID: 8C08B9719E085F91
# Game has many things hardcoded to vSyncCount, so if game can't remain FPS target that is rounded up to 60/30/20/15, some elements are slowed down.
# Thanks to ~systemdev for figuring out basic of patching this game.

ALL_FPS:
  # UnityEngine.QualitySettings::vSyncCount
  -
    type: evaluate_write
    address: [MAIN, 0x65ABCA0, 0x30, 0x68]
    address_unsafe: true
    value_type: uint32
    value: VSYNC_TARGET
  # Internal vSyncCount
  -
    type: evaluate_write
    address: [MAIN, 0x62035A0]
    value_type: uint32
    value: VSYNC_TARGET
  # App.HubUtil_TypeInfo
  -
    type: evaluate_write
    address: [MAIN, 0x6157F28, 0xB8, 0, 0x20]
    address_unsafe: true
    value_type: float
    value: "(30 / FPS_TARGET) * 0.14"
